CREATE OR REPLACE PACKAGE kopiointi_henkilo AS
/** Sislt HENKILO-taulun kopiointiajojen toteutukset.
 *
 *
 *  $Id: kopiointi_henkilo.pks,v 1.2 2004/07/07 20:13:19 rrasanen Exp $
 */



/** Kopioi HENKILO-nkymn DAWA:sta SIIRTO_HENKILO-tauluun.
 *
 *  <p>
 *  Ei commitoi.
 *
 *  <p>
 *  @scope                              public
 */

PROCEDURE kopioi;


/** Ksittelee siirtotaulun.
 *  Luo tarvittaessa uudelle (listtvlle) henkillle HTUNNUS-tunnisteen
 *  kyttmll privaattia funktiota GENEROI_HTUNNUS, joka puolestaan kutsuu
 *  PKG_HENKILO.GENEROI_HTUNNUS-proseduuria.
 *
 *  <p>
 *  Ei commitoi.
 *
 *  <p>
 *  HUOM. Kopiointiosajrjestelm ei koskaan poista rivej HENKILO-taulusta,
 *  eik mistn muustakaan taulusta, johon kopioidaan tietovarastosta tavaraa.
 *
 *  <p>
 *  @scope                              public
 */

PROCEDURE kasittele;

END kopiointi_henkilo;
/
