CREATE OR REPLACE PACKAGE kopiointi_projekti AS

/** Sislt PROJEKTI-taulun kopiointiajojen toteutukset.
 *
 *
 *  $Id: kopiointi_projekti.pks,v 1.3 2004/07/07 20:13:19 rrasanen Exp $
 */


/** Kopioi PROJEKTI-nkymn DAWA:sta SIIRTO_PROJEKTI-tauluun.
 *
 *  <p>
 *  Ei commitoi.
 *
 *  <p>
 *  @scope                              public
 */

PROCEDURE kopioi;


/** Ksittelee siirtotaulun.
 *
 *  <p>
 *  Ei commitoi.
 *
 *  <p>
 *  HUOM. Kopiointiosajrjestelm ei koskaan poista rivej PROJEKTI-taulusta,
 *  eik mistn muustakaan taulusta, johon kopioidaan tietovarastosta tavaraa.
 *
 *  <p>
 *  @scope                              public
 */

PROCEDURE kasittele;



/** Lis dummy-projektin (placeholder).
 *
 *  <p>
 *  Kytetn, jos SIIRTO_SOPIMUSJAKSO-taulusta lytyy projekteja, joita ei
 *  lydy PROJEKTI-taulusta, listn nille projekteille dummy-projektit.
 *
 *  <p>
 *  @param      p_koodi                 projektin koodi
 *  @scope                              public
 */

PROCEDURE lisaa_dummy (p_koodi IN projekti.koodi%TYPE);

END kopiointi_projekti;
/
