CREATE OR REPLACE PACKAGE kopiointi_sopimusjakso AS
/** Sislt TYOSOPIMUSJAKSO-taulun kopiointiajojen toteutukset.
 *
 *
 *  $Id: kopiointi_sopimusjakso.pks,v 1.2 2004/07/07 20:13:19 rrasanen Exp $
 */


/** Kopioi SOPIMUSJAKSO-nkymn DAWA:sta SIIRTO_SOPIMUSJAKSO-tauluun.
 *
 *  <p>
 *  Ei commitoi.
 *
 *  <p>
 *  @scope                              public
 */

PROCEDURE kopioi;



/** Ksittelee siirtotaulun.
 *
 *  <p>
 *  Ei commitoi.
 *
 *  <p>
 *  Tss oletetaan, ett SOPIMUSJAKSON primary key koostuu sarakkeista
 *  SOPIMUSNUMERO,
 *  HENKLO_HTUNNUS ja ALKUPVM_JAKSO.
 *
 *  <p>
 *  HUOM. Kopiointiosajrjestelm ei koskaan poista rivej SOPIMUSJAKSO-taulusta,
 *  eik mistn muustakaan taulusta, johon kopioidaan tietovarastosta tavaraa.
 *
 *  <p>
 *  @scope                              public
 */

PROCEDURE kasittele;

END kopiointi_sopimusjakso;
/
